Create fulfillment shipping logistics event
Requires write_assigned_fulfillment_orders access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillments/:order_id/:fulfillment_id/events/create.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- fulfillment_id string requiredInvoice idExample:
22060720884441337538627925 - order_id string requiredOrder idExample:
21056024607602932623437925
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
- country stringCountryExample:
Canada - province stringProvinceExample:
Ontario - status string requiredStatus ,Includes : label_printed、label_purchased、attempted_delivery、ready_for_pickup、picked_up、confirmed、in_transit、out_for_delivery、delivered、failureExample:
label_printed - longitude stringLongitudeExample:
113.301255 - estimated_delivery_at stringEstimated delivery time ( format see ISO 8601 )Example:
2021-08-16T08:27:57+00:00 - zip stringPostal codeExample:
A1B 2C3 - latitude stringLatitudeExample:
23.32947 - address stringAddressExample:
126 York Street - happened_at stringEvent duration ( format see ISO 8601 )Example:
2021-08-16T08:27:57+00:00 - message stringNote , the maximum length is 512Example:
nothing - city stringCityExample:
Ottawa
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillment_eventobject
Event informationorder_id stringOrder idExample:21056024607602932623437925update_at stringUpdate timeExample:2021-08-16T08:27:57+00:00country stringCountryExample:Canadastatus stringStatus ,Includes : label_printed、label_purchased、attempted_delivery、ready_for_pickup、picked_up、confirmed、in_transit、out_for_delivery、delivered、failureExample:label_printedprovince stringProvinceExample:Ontarioestimated_delivery_at stringEstimated delivery time ( format see ISO 8601 )Example:2021-08-16T08:27:57+00:00address stringAddressExample:126 York Streetfulfillment_id stringInvoice idExample:22060720884441337538627925happened_at stringEvent duration ( format see ISO 8601 )Example:2021-08-16T08:27:57+00:00latitude stringLatitudeExample:23.32947id stringEvent idExample:4206234611998187371524longitude stringLongitudeExample:113.301255zip stringPostal codeExample:A1B 2C3create_at stringCreation timeExample:2021-08-16T08:27:57+00:00message stringNotesExample:nothingshop_id stringstore IDExample:2331445city stringCityExample:Ottawa
API Explorer
Debugger
Was this article helpful to you?